﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.Problems.Instances {
  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("1811B4DD-289F-4213-A4B3-81774674CB77")]
  public interface IProblemInstanceExporter { }

  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B6EB7E8B-C0AB-45C4-AA31-E4FD1AEA92BA")]
  public interface IProblemInstanceExporter<TData> : IProblemInstanceExporter {
    TData Export();
  }
}
